%define module  Object-MultiType
%define name	perl-%{module}
%define version 0.05
%define release %mkrel 7

Name:		    %{name}
Version:	    %{version}
Release:	    %{release}
Summary:	    Perl Objects as Hash, Array, Scalar, Code and Glob at the same time
License:	    GPL or Artistic
Group:		    Development/Perl
Url:		    http://search.cpan.org/dist/%{module}/
Source:		    http://www.cpan.org/modules/by-module/Object/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:	    noarch
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
This module return an object that works like a Hash, Array,
Scalar, Code and Glob object at the same time.

%prep
%setup -q -n %{module}-%{version} 
perl -pi -e 'tr /\r//d' Changes README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Object
%{_mandir}/*/*




%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.05-7mdv2009.0
+ Revision: 258143
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.05-6mdv2009.0
+ Revision: 246257
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.05-4mdv2008.1
+ Revision: 140694
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-4mdv2008.0
+ Revision: 86724
- rebuild


* Fri Aug 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-3mdv2007.0
- spec cleanup
- fix directory ownership

* Thu Aug 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-2mdk
- rpmlint fixes

* Thu Aug 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdk
- new version 
- fix sources url for rpmbuildupdate

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.04-1mdk
- initial Mandriva package

